Subject: [tsvwg] RV: New Version Notification for draft-saldana-tsvwg-simplemux-09.txt

From: "Jose Saldana" <[email-masked]>
Date: Fri, 2 Mar 2018 12:42:55 +0100

Hi again,

We have just submitted a new version of the Simplemux draft.

We have added a text saying that it could be interesting for covering the problem of QUIC fallback, as stated in https://tools.ietf.org/html/draft-ietf-quic-applicability-01#section-2

Simplemux is a generic multiplexing protocol, i.e. it can be used to
aggregate a number of packets belonging to a protocol, on a single
packet belonging to other (or the same) protocol.  One example of
this is the fallback from QUIC to TLS over TCP
[I-D.ietf-quic-applicability], which requires stream multiplexing.
This is not provided by TCP, and could be implemented in other
layers.

We have also added some security considerations.

Simplemux protocol has been developed in such a way that packet	
aggregation and security can be simultaneously applied to the same	
traffic flows, i.e. a single security header could protect a number	
of packets belonging to different flows.	
 		
As a consequence, the overall efficiency could be improved, as the	
number of security headers could be reduced from N (being N the	
number of multiplexed packets) to 1.

Best regards,

Jose

> -----Mensaje original-----
> De: [email-masked] [mailto:[email-masked]]
> Enviado el: viernes, 2 de marzo de 2018 12:32
> Para: Jose Mas <[email-masked]>; Julian Navajas <[email-masked]>; Julian
> Fernandez Navajas <[email-masked]>; Jose Ruiz Mas <[email-masked]>; Jose
> Saldana <[email-masked]>
> Asunto: New Version Notification for draft-saldana-tsvwg-simplemux-09.txt
> 
> 
> A new version of I-D, draft-saldana-tsvwg-simplemux-09.txt
> has been successfully submitted by Jose Saldana and posted to the IETF
> repository.
> 
> Name:		draft-saldana-tsvwg-simplemux
> Revision:	09
> Title:		Simplemux. A generic multiplexing protocol
> Document date:	2018-03-02
> Group:		Individual Submission
> Pages:		15
> URL:            https://www.ietf.org/internet-drafts/draft-saldana-tsvwg-simplemux-
> 09.txt
> Status:         https://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/
> Htmlized:       https://tools.ietf.org/html/draft-saldana-tsvwg-simplemux-09
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-saldana-tsvwg-simplemux-
> 09
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-saldana-tsvwg-simplemux-09
> 
> Abstract:
>    The high amount of small packets present in nowaday's networks
>    results in a low efficiency, as the size of the headers and the
>    payload of these packets can be in the same order of magnitude.  In
>    some situations, multiplexing a number of small packets into a bigger
>    one is desirable in order to improve the efficiency.  For example, a
>    number of small packets can be sent together between a pair of
>    machines if they share a common network path.  Thus, the traffic
>    profile can be shifted from small to larger packets, reducing the
>    network overhead and the number of packets per second to be managed
>    by intermediate routers.
> 
>    This document describes Simplemux, a protocol able to encapsulate a
>    number of packets belonging to different protocols into a single
>    packet.  Small headers (separators) are added at the beginning of
>    each multiplexed packet, including some flags, the packet length and
>    a "Protocol" field.  This allows the inclusion of a number of packets
>    belonging to different protocols (the "multiplexed packets") on a
>    packet of another protocol (the "tunneling protocol").
> 
>    In order to reduce the overhead, the size of the multiplexing headers
>    is kept very low (it may be a single byte when multiplexing small
>    packets).
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission until
> the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat